狼爱上狸

我胡汉三又回来了

ubuntu apt-get 安装 golang 版本过低问题

apt-get install golang-go这样安装版本可能过低。
go version查看版本为 1.6.2
apt-get 卸载此版本重新安装

重新安装

    1. 去官网查看最新版链接 https://studygolang.com/dl
      比如我要下的是 https://studygolang.com/dl/golang/go1.11.linux-amd64.tar.gz
    1. 下载
      wget https://studygolang.com/dl/golang/go1.11.linux-amd64.tar.gz
         也可以到go语言中文网https://studygolang.com/dl下载最新版
    1. 解压缩
      tar -zxvf go1.11.linux-amd64.tar.gz -C /usr/lib
    将解压后的文件夹go移动到  /usr/local 

     输入命令: sudo mv go /usr/local

    1. 设置添加环境变量
      sudo gedit ~/.profile 在最后面添加如下配置
         export PATH=$PATH:/usr/local/go/bin   或者
export GOPATH=/opt/gopath export GOROOT=/usr/lib/go export GOARCH=386 export GOOS=linux export GOTOOLS=$GOROOT/pkg/tool export PATH=$PATH:$GOROOT/bin:$GOPATH/bin 

卸载老的go
sudo apt-get remove golang-go
    1. 安装新版本
      source ~/.profile
    1. 查看版本
      go version
      结果 go version go1.11 linux/amd64

参考:
https://blog.csdn.net/Booboochen/article/details/82463162
https://www.jianshu.com/p/85e98e9b003d

posted on 2019-05-18 06:38 狼爱上狸 阅读(70) 评论(0)  编辑  收藏 所属分类: Blockchain


只有注册用户登录后才能发表评论。


网站导航: